Utilities
=========

# Bulk synchronizer without transport

Usage example: it may be used for initial configuration and/or may be
used at planned downtime.

On master service:

``` shell
$ python manage.py cqrs_bulk_dump --cqrs-id=author --output author.dump
```

On replica service:

``` shell
$ python manage.py cqrs_bulk_load --input=author.dump
```

# Filter synchronizer over transport

Usage example: sync some specific records to a given replica. Can be
used dynamically.

To sync all replicas:

``` shell
$ python manage.py cqrs_sync --cqrs-id=author --filter="{\"id__in\": [1, 2]}"
```

To sync all instances only with one replica:

``` shell
$ python manage.py cqrs_sync --cqrs-id=author --filter="{}" --queue=replica
```
